Subject: [bug#47153] [PATCH] gnu: chez-scheme: simplify packaging

From: Leo Prikler <[email-masked]>
Date: Mon, 15 Mar 2021 23:21:28 +0100

Am Montag, den 15.03.2021, 17:53 -0400 schrieb Philip McGrath:
> Hi,
> 
> On 3/15/21 2:28 PM, Leo Prikler wrote:
> > Then you should separate this into more than one patch.
> 
> Ok, I've split this into three patches and kept nanopass and stex as 
> origins. Is it preferred to send them here or to start a new thread?

The preferred way is to use `git send-email --reroll-count=N` (in this
case N=2, afterwards counting up).  I would also ask you to do a
rebasing pull before sending emails and perhaps fix up some whitespace
issues.  v1 failed to apply on cbaines' patchwork[1] with the following
(see also [2]):

   error: patch failed: gnu/local.mk:879
   error: gnu/local.mk: patch does not apply

> > > - I think the right thing would be to make chez-stex a
> > > public package, instead of the "stex" output of the chez-scheme
> > > package, but there are some bootstrapping issues I'll discuss
> > > below.
> > I agree.  You can use the origin as an input to chez, like we've
> > done
> > before, then use the already built chez to compile stex into chez-
> > stex.
> > I don't think the latter half needs to be done right now, though,
> > you
> > can delay that until you feel more experienced in packaging.
> 
> I think I understand (most of) how to do this
That's great!

> I think I'll put it off for now and see how it interacts with my
> Racket plans. Maybe there will be a more elegant bootstrapping
> solution.
Indeed, simpler patch sets are much appreciated.

Regards, 
Leo

[1] https://patches.guix-patches.cbaines.net
[2] https://laminar.cbaines.net/jobs/patchwork-test-series/5359